%define python_includedir %(%{__python} -c 'from distutils import sysconfig; print sysconfig.get_python_inc()')
%define python_sitearch %(%{__python} -c 'from distutils import sysconfig; print sysconfig.get_python_lib(1)')

Name: pyxmms
Summary: Python Interface to XMMS
Version: 2.06
Release: 6%{?dist}
License: GPL
Group: Development/Libraries
URL: http://www.via.ecp.fr/~flo/
Source: http://people.via.ecp.fr/~flo/2002/PyXMMS/dist/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: python, glib-devel, python-devel, xmms-devel
Requires: python

%description
A python (Python) interface to xmms (XMMS) consisting of all the
xmms_remote_* functions from libxmms plus some higher-level functions.
This should provide anything needed to control XMMS from an external
program.

%prep
%setup -n %{name}-%{version}
%{__rm} setup.cfg

%build
export CFLAGS="%{optflags}"
%{__python} setup.py build

%install
%{__rm} -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root="%{buildroot}" --prefix="%{_prefix}"

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog COPYING README
%dir %{python_sitearch}/xmms/
%{python_sitearch}/xmms/*.py*
%{python_sitearch}/xmms/*.so
%if 0%{?fedora} >= 9
  %{python_sitearch}/%{name}-%{version}-py2.5.egg-info
%endif

%changelog
* Fri Mar 07 2008 Jesse Keating <jkeating@redhat.com> - 2.06-6
- Handle the egg file.

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 2.06-5
- Autorebuild for GCC 4.3

* Wed Dec 13 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.06-4
- rebuild

* Wed Sep 06 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.06-3
- repackaged due to new packaging guidelines
- small alteration to spec file

* Tue Jun 20 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.06-2
- corrected files (thanks to Paul Howarth for the advice)

* Sun Jun 11 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.06-1
- Initial import for FE
- Modified spec file from dries

* Sat Apr 08 2006 Dries Verachtert <dries@ulyssis.org> - 2.04-1.2
- Rebuild for Fedora Core 5.

* Sun May 08 2005 Dag Wieers <dag@wieers.com> - 2.0.4-1
- Initial package. (using DAR)
